Subject: [PATCH] git-svn: change dashed git-config to git config

From: Deskin Miller <[email-masked]>
Date: Thu, 23 Oct 2008 15:21:34 -0400

---
When testing git-svn changes, I'll often use git-svn.perl directly on a
repository of mine, to see how things work.  Recently I had this happen:

$ git-svn.perl info
Use of uninitialized value in scalar chomp at ../git/git-svn.perl line 1202.
Use of uninitialized value in concatenation (.) or string at ../git/git-svn.perl line 1203.

but the expected output showed up correctly, giving the SVN-like info.

git svn info appeared to work just fine though, despite there being essentially
no difference between the two.  However, if I do the following, this is what I
see:

$ env /usr/libexec/git-core/git-svn info
Can't exec "git-config": No such file or directory at /usr/libexec/git-core/git-svn line 1202.
Use of uninitialized value in scalar chomp at /usr/libexec/git-core/git-svn line 1202.

Again, the SVN info would still appear.

Regardless, I think we want to change this call to use the non-dashed form.

Deskin Miller
 
 git-svn.perl |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/git-svn.perl b/git-svn.perl
index 33e1b50..2e68c68 100755
--- a/git-svn.perl
+++ b/git-svn.perl
@@ -1126,7 +1126,7 @@ sub read_repo_config {
 		my $v = $opts->{$o};
 		my ($key) = ($o =~ /^([a-zA-Z\-]+)/);
 		$key =~ s/-//g;
-		my $arg = 'git-config';
+		my $arg = 'git config';
 		$arg .= ' --int' if ($o =~ /[:=]i$/);
 		$arg .= ' --bool' if ($o !~ /[:=][sfi]$/);
 		if (ref $v eq 'ARRAY') {
-- 
1.6.0.2.554.g3041b